# Search Post Comments

{% tabs %}
{% tab title="Curl" %}

```bash
cURL 'https://api.enrich.so/v1/api/search-comments?page=1&post_urn=urn:li:activity:7191163324208705536' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'
```

{% endtab %}

{% tab title="Javascript" %}

```javascript
const axios = require('axios');

axios.get('https://api.enrich.so/v1/api/search-comments?page=1&post_urn=urn:li:activity:7191163324208705536', {
    headers: {accept: 'application/json', Authorization: 'Bearer <token>'}
})
  .then(response => {
    console.log(response.data);
  })
  .catch(error => {
    console.log(error);
  });// Some code
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
payload = {'post_urn': 'urn:li:activity:7191163324208705536', 'page': 1}
headers = {'accept': 'application/json', 'authorization': 'Bearer <token>'}
resp = requests.get('https://api.enrich.so/v1/api/search-comments', params=payload, headers=headers)
print (resp.text)
```

{% endtab %}

{% tab title="Java" %}

```java
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
  .url("https://api.enrich.so/v1/api/search-comments?page=1&post_urn=urn:li:activity:7191163324208705536")
  .get()
  .addHeader("accept", "application/json")
  .addHeader("authorization", "Bearer <token>")
  .build();

Response response = client.newCall(request).execute();
```

{% endtab %}

{% tab title="Ruby" %}

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.enrich.so/v1/api/search-comments?page=1&post_urn=urn:li:activity:7191163324208705536")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["accept"] = 'application/json'
request["authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

{% endtab %}

{% tab title="Php" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.enrich.so/v1/api/search-comments?page=1&post_urn=urn:li:activity:7191163324208705536",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "accept: application/json",
    "authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

{% endtab %}
{% endtabs %}

## Example response

#### Status code: <mark style="color:green;">200 OK</mark>

```json
{
    "success": true,
    "message": "Comments for post found.",
    "data": {
        "page": 1,
        "total_page": 1,
        "num": 10,
        "data": [
            {
                "activity_id": "urn:li:comment:(activity:7191163324208705536,7286859261794508800)",
                "commentary": "Enrich Labs Are you still in business ?",
                "reaction_breakdown": {
                    "likes": 0,
                    "empathy": 0,
                    "other": 0
                },
                "li_url": "https://www.linkedin.com/feed/update/urn:li:activity:7191163324208705536?commentUrn=urn%3Ali%3Acomment%3A%28activity%3A7191163324208705536%2C7286859261794508800%29&dashCommentUrn=urn%3Ali%3Afsd_comment%3A%287286859261794508800%2Curn%3Ali%3Aactivity%3A7191163324208705536%29",
                "commenter": {
                    "profile_id": "ACoAABTUdYoBYrUSoum-8GS9tLtOGxWtogekpXQ",
                    "first_name": "Ahmed",
                    "last_name": "☁",
                    "sub_title": "Business Development Manager | Scaling SaaS, DaaS & PaaS Companies | Lead Generation, Sales Strategy & Customer Success",
                    "profile_picture": "https://media.licdn.com/dms/image/v2/C4D03AQG-8kDO3snxew/profile-displayphoto-shrink_800_800/profile-displayphoto-shrink_800_800/0/1597112776588?e=1749686400&v=beta&t=WCevYqYp2xifNyVAVkAYT8CS6LRqQFGwWqK6buES-Is",
                    "background_image": "",
                    "entity_urn": "ACoAABTUdYoBYrUSoum-8GS9tLtOGxWtogekpXQ",
                    "object_urn": 0,
                    "profile_type": ""
                }
            }
        ]
    },
    "total_credits": 36075,
    "credits_used": 22455.049999999548,
    "credits_remaining": 13619.950000000452
}
```
